# -*- coding: utf-8 -*-
from odoo.addons.base.maintenance.migrations import util

def migrate(cr, version):
    arch = """<data>
        <xpath expr="//a" position="replace"></xpath>
        <xpath expr="//field[@name='fcm_project_id']/.." position="replace"></xpath>
    </data>"""
    values = {
        'model': 'res.config.settings',
        'inherit_id': util.ref(cr, 'mail_push.res_config_settings_view_form'),
        'arch': arch,
    }
    view = util.env(cr)['ir.model.data'].xmlid_to_object('saas_fcm.inherit_view_general_configuration', raise_if_not_found=False)
    if view:
        view.write(values)

    util.force_noupdate(cr, 'saas_fcm.inherit_view_general_configuration', True)
